Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.deployment
Interface BeanShellSubDeployerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.deployment.SubDeployerMBean

All Known Implementing Classes:
  BeanShellSubDeployer

public interface BeanShellSubDeployerMBean
extends org.jboss.deployment.SubDeployerMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `accepts(org.jboss.deployment.DeploymentInfo sdi)` Returns true if this deployer can deploy the given DeploymentInfo.
`void` | `create(org.jboss.deployment.DeploymentInfo di)` Describe `create` method here.
`URL` | `createScriptDeployment(String bshScript, String scriptName)` Create a bsh deployment given the script content and name.
`void` | `init(org.jboss.deployment.DeploymentInfo di)` Describe `init` method here.

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`destroy, getRelativeOrder, getSuffixes, setRelativeOrder, setSuffixes, start, stop`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### accepts

    public boolean accepts(org.jboss.deployment.DeploymentInfo sdi)

  Returns true if this deployer can deploy the given DeploymentInfo.

  Specified by:
    `accepts` in interface `org.jboss.deployment.SubDeployerMBean`
  Returns:
    True if this deployer can deploy the given DeploymentInfo.

### init

    public void init(org.jboss.deployment.DeploymentInfo di)
              throws org.jboss.deployment.DeploymentException

  Describe `init` method here.

  Specified by:
    `init` in interface `org.jboss.deployment.SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### create

    public void create(org.jboss.deployment.DeploymentInfo di)
                throws org.jboss.deployment.DeploymentException

  Describe `create` method here.

  Specified by:
    `create` in interface `org.jboss.deployment.SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### createScriptDeployment

    public URL createScriptDeployment(String bshScript,
                                      String scriptName)
                               throws org.jboss.deployment.DeploymentException

  Create a bsh deployment given the script content and name. This creates a temp file using File.createTempFile(scriptName, ".bsh") and then deploys this script via the main deployer.

  Parameters:
    `bshScript` - the bsh script content
    `scriptName` - the bsh script name to use
  Returns:
    the URL of the temporary file used as the deployment script
  Throws:
    `DeploymentException` - thrown on failure to create the bsh script or deploy it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.